#ifndef READER_H
#define READER_H

#include<fstream.h>
#include<iostream.h>

class Reader{
public:
  Reader();
  ~Reader();
  void set_dir(void);
  void set_head(int argc, char *argv[]);
  char* get_head();
  char* get_dir();
  const char* get_dir_head();
  void set_line_title(int argc, char *argv[]);
  void make_options(int argc, char *argv[]);
  char* get_filename(void);
  char* get_small_filename(void);
  char* get_title(void);
  char* get_line(void);
  int get_opt(int i);
  void in_form(void);
  int get_vert_trans(void);
  int get_form(void);
  void grapse(void);
private:
  ofstream *exp;
  char line[100];
  char title[100];
  char small_file[20];
  char dir[6];
  char head[20];
  char dir_head[40];
  // OPTIONS
  int opt[24];
  int vert_trans;
  char form[3];
};

#endif
